INCLUDES = -I$(srcdir)/../../core -I$(srcdir)/../../share -I$(srcdir)/../../ui $(all_includes)

kde_module_LTLIBRARIES = childpanel_panelextension.la

childpanel_panelextension_la_SOURCES = childpanelextension.cpp childpanelextension.skel
childpanel_panelextension_la_METASOURCES = AUTO
childpanel_panelextension_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
childpanel_panelextension_la_LIBADD = $(LIB_KDEUI) $(LIB_KSYCOCA) ../../kicker.la

noinst_HEADERS = childpanelextension.h

lnkdir = $(kde_datadir)/kicker/extensions
lnk_DATA = childpanelextension.desktop

EXTRA_DIST = $(lnk_DATA)

messages:
	$(XGETTEXT) *.cpp *.h -o $(podir)/childpanelextension.pot
